/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.formcycle.common.protobuf;

import java.io.IOException;

import org.springframework.http.HttpInputMessage;
import org.springframework.http.converter.protobuf.ProtobufHttpMessageConverter;

import com.google.protobuf.Message;

@Deprecated(forRemoval = true, since = "2.1.0")
// FIXME: Remove this class after all customers have updated ozg-cloud plugin to version 1.4.0 or higher
public class CustomProtobufHttpMessageConverter extends ProtobufHttpMessageConverter {

	@Override
	protected Message readInternal(Class<? extends Message> clazz, HttpInputMessage inputMessage) throws IOException {
		inputMessage.getHeaders().setContentType(ProtobufHttpMessageConverter.PROTOBUF);
		return super.readInternal(clazz, inputMessage);
	}
}
